@echo off
if exist cfg\tehkanwc.cfg move cfg\tehkanwc.cfg cfg\tehkanwc.bak
if exist hi\tehkanwc.hi move hi\tehkanwc.hi hi\tehkanwc.bak
if exist nvram\tehkanwc.nv move nvram\tehkanwc.nv nvram\tehkanwc.bak
if exist diff\tehkanwc.dif move diff\tehkanwc.dif diff\tehkanwc.bak

mame tehkanwc -record tehkanwc.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\tehkanwc.bak move cfg\tehkanwc.bak cfg\tehkanwc.cfg
if exist hi\tehkanwc.bak move hi\tehkanwc.bak hi\tehkanwc.hi
if exist nvram\tehkanwc.bak move nvram\tehkanwc.bak nvram\tehkanwc.nv
if exist diff\tehkanwc.bak move diff\tehkanwc.bak diff\tehkanwc.dif
